Bug 173531 - [maintainer-update] [patch] devel/dulwich: Update to 0.8.6 release
Summary: [maintainer-update] [patch] devel/dulwich: Update to 0.8.6 release
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-10 16:20 UTC by Marco Bröder
Modified: 2012-12-17 02:14 UTC (History)
0 users

See Also:


Attachments
file.diff (1.82 KB, patch)
2012-11-10 16:20 UTC, Marco Bröder
no flags Details | Diff
dulwich-0.8.7.patch (1.82 KB, patch)
2012-11-27 17:15 UTC, Marco Bröder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Bröder 2012-11-10 16:20:01 UTC
- Update to 0.8.6 release
- Add DOCS option and install additional docs
- Define UNIQUENAME to use same option settings regardless of python version
- Trim Makefile header

Tested: portlint, tinderbox, pkg install / delete, runtime (with hg-git)

If there are questions, please ask before committing.

Thanks!

Fix: Patch attached with submission follows:
Comment 1 Marco Bröder 2012-11-27 17:15:54 UTC
Here is a new patch for next release 0.8.7 which replaces the old one.

-- 
Regards
Comment 2 Jason E. Hale freebsd_committer 2012-12-16 10:56:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jhale

I'll take it. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=173531 

Date: Sun, 16 Dec 2012 14:59:51 +0400
Comment 3 R.Mahmatkhanov 2012-12-16 11:07:48 UTC
> Please review patch attached. I changed some things in your patch:
> - using OPTIONSFILE instead of UNIQUENAME (it's common practice to fix
>    things like that)
> - limit to python 2.x (dulwich is not python 3.x-aware yet)
> - tab -> space change in pkg-descr:WWW (style bug)
> - remove DOCS_DESC (we have generic description in bsd.options.desc.mk)
> - use PYTHON_CMD instead of ``/usr/bin/env python'' (to make sure it
>    will be runned with the same python branch, that it was built with)
>
> Please let me know if you agree with the changes, and I commit the
> update shortly.
>
> PS. Surely, it builds fine with this patch.

Oops, I see that this pr was taken by jhale already :)
One more thing - PORTDOCS should be defined uncoditionally, but 
installed conditionally:

+.if ${PORT_OPTIONS:MDOCS}
+PORTDOCS=	AUTHORS COPYING HACKING NEWS README introduction.txt \
+		object-store.txt protocol.txt remote.txt repo.txt
  .endif

This condition is not necessary.

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 4 Jason E. Hale freebsd_committer 2012-12-16 11:13:53 UTC
> Oops, I see that this pr was taken by jhale already :)

Ruslan,

If you want to take this that is fine with me...I haven't started worki=
ng on=20
it yet and it seems you have looked into it already.

> One more thing - PORTDOCS should be defined uncoditionally, but
> installed conditionally:
>=20
> +.if ${PORT_OPTIONS:MDOCS}
> +PORTDOCS=3D=09AUTHORS COPYING HACKING NEWS README introduction.txt \=

> +=09=09object-store.txt protocol.txt remote.txt repo.txt
>   .endif
>=20
COPYING should be removed here too.  LICENSE is already defined.

> This condition is not necessary.
--=20
Jason E. Hale - jhale@
FreeBSD Ports Committer
KDE/FreeBSD Team
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2012-12-16 11:23:09 UTC
Responsible Changed
From-To: jhale->rm

Take, as discussed with jhale@
Comment 6 R.Mahmatkhanov 2012-12-16 11:25:19 UTC
Jason E. Hale wrote on 16.12.2012 15:13:
> COPYING should be removed here too.  LICENSE is already defined.

Ok, both done (take-pr and COPYING). Thanks. Awaiting of maintainer's 
response.

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 7 Marco Bröder 2012-12-16 11:56:16 UTC
I reviewed and tested your changes. I am fine with all of it. Please commit.
Many thanks for your help and comments!

-- 
Kind regards
Comment 8 Ruslan Makhmatkhanov freebsd_committer 2012-12-16 12:06:26 UTC
State Changed
From-To: open->closed

Committed, thank you!